# frozen_string_literal: true

class AddNotNullConstraintToVulnerabilityReadsTraversalIds < Gitlab::Database::Migration[2.2]
  disable_ddl_transaction!
  milestone '16.10'

  def up
    change_column_null :vulnerability_reads, :traversal_ids, false
  end

  def down
    change_column_null :vulnerability_reads, :traversal_ids, true
  end
end
